Summary:        Vulkan tools
Name:           vulkan-tools
Version:        1.3.280.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Tools
Source0:        %url/archive/refs/tags/vulkan-sdk-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake3 glslang ninja-build
BuildRequires:  python3-devel vulkan-loader-devel = %{version} wayland-protocols-devel
BuildRequires:  vulkan-volk-devel = %{version}
BuildRequires:  pkgconfig(wayland-client) pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server) pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11) pkgconfig(xrandr) pkgconfig(xcb)

Provides:       vulkan-demos = %{version}-%{release}

%description
This project provides Vulkan tools and utilities that can assist development
by enabling developers to verify their applications correct use of the Vulkan API.

%prep
%autosetup -n Vulkan-Tools-vulkan-sdk-%{version}


%build
%cmake3 -GNinja -DCMAKE_BUILD_TYPE=Release -DGLSLANG_INSTALL_DIR=%{_prefix}
%cmake3_build


%install
%cmake3_install

%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%{_bindir}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.280.0-2
- Rebuilt for loongarch release

* Mon Aug 05 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.3.280.0-1
- Upgrade to version 1.3.280.0

* Tue Dec 19 2023 luffyluo <luffyluo@tencent.com> - 1.3.268.0-1
- Upgrade to version 1.3.268.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.250.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.3.250.0-1
- update to 1.3.250.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.239.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.239.0-1
- upgrade to 1.3.239.0

* Wed Jan 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.3.231.0-2
- rebuild for vulkan loader.

* Tue Nov 29 2022 cunshunxia <cunshunxia@tencent.com> - 1.3.231.0-1
- initial build
